Page MenuHomePhabricator

Missing Summary: $1 is not replaced properly
Closed, ResolvedPublic1 Story Points

Description

Per https://gerrit.wikimedia.org/r/#/c/348748 same messages were changed: hardcoded {{int:savearticle}} was replaced by $1.

Sadly this does not work properley. Tested on a local testwiki (master branch), $1 is replaced with the literal message name „savechanges“

and (tested on dewiki) in VisualEditor $1 is still shown

Event Timeline

Raymond created this task.May 28 2017, 6:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2017, 6:52 PM
Aklapper renamed this task from Missung Summary: $1 is not replaced properley to Missing Summary: $1 is not replaced properly.May 29 2017, 6:45 PM

Change 356077 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] EditPage: Fix passing the save/publish button label to other messages

https://gerrit.wikimedia.org/r/356077

Change 356078 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] VisualEditorDataModule: Pass save/publish button label to 'missingsummary' message

https://gerrit.wikimedia.org/r/356078

Change 356078 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] VisualEditorDataModule: Pass save/publish button label to 'missingsummary' message

https://gerrit.wikimedia.org/r/356078

Change 356077 merged by jenkins-bot:
[mediawiki/core@master] EditPage: Fix passing the save/publish button label to other messages

https://gerrit.wikimedia.org/r/356077

Jdforrester-WMF closed this task as Resolved.May 30 2017, 6:04 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 30 2017, 6:04 PM